function mostrarOpcionesPago() {
    var plazo = document.getElementById("plazo");
    var pago = document.getElementById("pago");

    // Reiniciar opciones
    while (pago.options.length > 0) {
      pago.options.remove(0);
    }

    // Mostrar opciones de pago según el plazo seleccionado
    if (plazo.value === "15") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
    } else if (plazo.value === "30") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
    } else if (plazo.value === "45") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "45", "Pago a los 45 días");
    } else if (plazo.value === "60") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
      agregarOpcion(pago, "60", "Pago a los 60 días");
    } else if (plazo.value === "75") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "75", "Pago a los 75 días");
    } else if (plazo.value === "90") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
      agregarOpcion(pago, "90", "Pago a los 90 días");
    } else if (plazo.value === "7") {
      agregarOpcion(pago, "7", "Pago Semanal");      
    } else if (plazo.value === "120") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
    } else if (plazo.value === "120") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
    } else if (plazo.value === "150") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
    } else if (plazo.value === "180") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
    } else if (plazo.value === "360") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
    } else if (plazo.value === "540") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
    } else if (plazo.value === "720") {
      agregarOpcion(pago, "7", "Pago Semanal");
      agregarOpcion(pago, "15", "Pago Quincenal");
      agregarOpcion(pago, "30", "Pago Mensual");
    }

    // Mostrar el elemento <select> de opciones de pago
    pago.style.display = "inline-block";
  }

  function agregarOpcion(selectElement, value, text) {
    var option = document.createElement("option");
    option.value = value;
    option.text = text;
    selectElement.add(option);
  }